Subject: Re: ports.test "non-revealed port is closed" breaks other tests

From: Rob Browning <[email-masked]>
Date: Sat, 19 Sep 2020 14:35:26 -0500

Rob Browning <[email-masked]> writes:

> I believe the problem is that if the gc doesn't collect the port when
> the test calls (gc), then the test (which recognizes that possibility)
> calls close-fdes on the underlying fd.  However, the port still exists,
> and it may be garbage collected later, during a test that's using the
> same fd, which may break that test.

...and I'd have to think about it more carefully, but if dropping
the close-fdes call would completely prevent any subsequent test from
re-using the fd unsafely before the lingering port is collected, then
perhaps that's one potential fix.

-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4